BATCH_IMAGE_CONVERT(1)

NAME
batch_image_convert - use VIPS to convert a set of images to a new type

SYNOPSIS
batch_image_convert type image1 image2 ...

DESCRIPTION
The first argument is the name of an image type, subsequent arguments are the names of files to be converted to that type. VIPS can usually read almost any image type, but it can only write VIPS, PNG, TIFF, PPM/PGM/PBM and JPEG. You can specify conversion parameters in the type name. For example:
  batch_image_convert tiff fred.jpg jim.png will convert fred.jpg and jim.png to TIFF format.
  batch_image_convert jpeg:95 jim.png will write jim.jpeg with a 95% quality factor.

RETURN VALUE
returns 0 on success and non-zero on error.

SEE ALSO
header(1), im_vips2tiff(3), im_vips2jpeg(3), im_vips2png(3), im_vips2ppm(3)